curl --request GET \
--url https://api.qovery.com/environment/{environmentId}/log \
--header 'Authorization: Bearer <token>'{
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"message": "<string>",
"scope": {
"type": "APPLICATION",
"name": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"state": "CANCELED",
"execution_id": "<string>",
"hint": "only for errors. it gives a possible action to the user -- Markdown can be injected"
}
]
}This returns the last 1000 environment deployment logs.
curl --request GET \
--url https://api.qovery.com/environment/{environmentId}/log \
--header 'Authorization: Bearer <token>'{
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"message": "<string>",
"scope": {
"type": "APPLICATION",
"name": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"state": "CANCELED",
"execution_id": "<string>",
"hint": "only for errors. it gives a possible action to the user -- Markdown can be injected"
}
]
}Documentation Index
Fetch the complete documentation index at: https://qovery-docs-cronjob-required-affinity.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '
Environment ID
List logs
Show child attributes
Was this page helpful?